module Monkey
  module Gun
    module CliHelpers
      def check_for_binaries!(*binaries, &message_block)
        binaries.each do |bin|
          check_for_binary!(bin.to_s, &message_block)
        end
      end

      def check_for_binary!(binary, &message_block)
        bin_location = `which #{binary.to_s}`
        if bin_location.nil? || bin_location.empty?
          raise message_block.call || ''
        end
      end
    end    
  end
end
